Validation failed: Negative pattern matched: /^\s|[\r\n\t]|\s$/ when trying to add label and description via special page
Closed, ResolvedPublic


I am trying to add an english label and description to Q1639828 using the special page (since I am doing mobile editing).

But I get a validation error and don't see how what I am entering could be problematic and trigger this

Special page works ok on other items.

aude created this task.Oct 30 2015, 9:31 AM
aude updated the task description. (Show Details)
aude raised the priority of this task from to Normal.
aude added a project: Wikidata.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2015, 9:31 AM
aude added a comment.Oct 30 2015, 3:38 PM

problem is that the validators used do not tolerate trailing white space nor does the string get normalized for this before validation

Change 250030 had a related patch set uploaded (by Aude):
Trim whitespace from input in Special:SetLabelDescriptionAliases

aude claimed this task.Oct 30 2015, 4:06 PM
aude set Security to None.
aude added a subscriber: Wikidata-Sprint-2015-10-13.
aude removed a subscriber: Wikidata-Sprint-2015-10-13.
Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Nov 2 2015, 2:41 PM

Change 250030 merged by jenkins-bot:
Trim whitespace from input in Special:SetLabelDescriptionAliases

Lydia_Pintscher closed this task as Resolved.Nov 6 2015, 3:01 PM